AuthzSubjectManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.AuthzSubjectManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class AuthzSubjectManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.authz.server.session.AuthzSession
          org.hyperic.hq.authz.server.session.AuthzSubjectManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class AuthzSubjectManagerEJBImpl

extends AuthzSession
implements javax.ejb.SessionBean

Session bean to manipulate Subjects

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.authz.server.session.AuthzSession
`ctx, log`

Constructor Summary
`AuthzSubjectManagerEJBImpl()`

Method Summary
`void` | `checkCreateUsers(AuthzSubject caller)` Check if a subject can modify users
`void` | `checkModifyUsers(AuthzSubject caller)` Check if a subject can modify users
`AuthzSubject` | `createSubject(AuthzSubject whoami, java.lang.String name, boolean active, java.lang.String dsn, java.lang.String dept, java.lang.String email, java.lang.String first, java.lang.String last, java.lang.String phone, java.lang.String sms, boolean html)` Create a subject.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`AuthzSubject` | `findByAuth(java.lang.String name, java.lang.String authDsn)`
`PageList` | `findMatchingName(java.lang.String name, PageControl pc)`
`AuthzSubject` | `findSubjectById(AuthzSubject whoami, java.lang.Integer id)`
`AuthzSubject` | `findSubjectById(java.lang.Integer id)`
`AuthzSubject` | `findSubjectByName(AuthzSubject whoami, java.lang.String name)`
`AuthzSubject` | `findSubjectByName(java.lang.String name)`
`PageList` | `getAllSubjects(AuthzSubject whoami, java.util.Collection excludes, PageControl pc)` List all subjects in the system
`java.lang.String` | `getEmailById(java.lang.Integer id)` Find the e-mail of the subject specified by id
`java.lang.String` | `getEmailByName(java.lang.String userName)` Find the e-mail of the subject specified by name
`static org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal` | `getOne()`
`AuthzSubject` | `getOverlordPojo()`
`AuthzSubject` | `getSubjectById(java.lang.Integer id)`
`PageList` | `getSubjectsById(AuthzSubject subject, java.lang.Integer[] ids, PageControl pc)` Get the subjects with the specified ids NOTE: This method returns an empty PageList if a null or empty array of ids is received.
`ConfigResponse` | `getUserPrefs(AuthzSubject who, java.lang.Integer subjId)` Get the Preferences for a specified user
`void` | `removeSubject(AuthzSubject whoami, java.lang.Integer subject)` Delete the specified subject.
`void` | `setUserPrefs(AuthzSubject who, java.lang.Integer subjId, ConfigResponse prefs)` Set the Preferences for a specified user
`void` | `updateSubject(AuthzSubject whoami, AuthzSubject target, java.lang.Boolean active, java.lang.String dsn, java.lang.String dept, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String phone, java.lang.String sms, java.lang.Boolean useHtml)` Update user settings for the target

Methods inherited from class org.hyperic.hq.authz.server.session.AuthzSession
`findPrototype, findSubjectByAuth, getContainmentRelation, getInitialContext, getNetworkRelation, getOperationDAO, getResourceDAO, getResourceGroupDAO, getResourceTypeDAO, getRoleDAO, getRootResourceType, getSessionContext, getSubjectDAO, getVirtualRelation, lookupSubject, setSessionContext, toPojos`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.SessionBean
`setSessionContext`

Constructor Detail

### AuthzSubjectManagerEJBImpl

    public AuthzSubjectManagerEJBImpl()

Method Detail

### createSubject

    public AuthzSubject createSubject(AuthzSubject whoami,
                                      java.lang.String name,
                                      boolean active,
                                      java.lang.String dsn,
                                      java.lang.String dept,
                                      java.lang.String email,
                                      java.lang.String first,
                                      java.lang.String last,
                                      java.lang.String phone,
                                      java.lang.String sms,
                                      boolean html)
                               throws PermissionException,
                                      javax.ejb.CreateException

  Create a subject.

  Parameters:
    `whoami` - The current running user.
  Returns:
    Value-object for the new Subject.
  Throws:
    `PermissionException`
    `javax.ejb.CreateException`

### updateSubject

    public void updateSubject(AuthzSubject whoami,
                              AuthzSubject target,
                              java.lang.Boolean active,
                              java.lang.String dsn,
                              java.lang.String dept,
                              java.lang.String email,
                              java.lang.String firstName,
                              java.lang.String lastName,
                              java.lang.String phone,
                              java.lang.String sms,
                              java.lang.Boolean useHtml)
                       throws PermissionException

  Update user settings for the target

  Parameters:
    `whoami` - The current running user.
    `target` - The subject to save. The rest of the parameters specify settings to update. If they are null, then no change will be made to them.
  Throws:
    `PermissionException`

### checkModifyUsers

    public void checkModifyUsers(AuthzSubject caller)
                          throws PermissionException

  Check if a subject can modify users

  Throws:
    `PermissionException`

### checkCreateUsers

    public void checkCreateUsers(AuthzSubject caller)
                          throws PermissionException

  Check if a subject can modify users

  Throws:
    `PermissionException`

### removeSubject

    public void removeSubject(AuthzSubject whoami,
                              java.lang.Integer subject)
                       throws javax.ejb.RemoveException,
                              PermissionException

  Delete the specified subject.

  Parameters:
    `whoami` - The current running user.
    `subject` - The ID of the subject to delete.
  Throws:
    `javax.ejb.RemoveException`
    `PermissionException`

### findByAuth

    public AuthzSubject findByAuth(java.lang.String name,
                                   java.lang.String authDsn)

### findSubjectById

    public AuthzSubject findSubjectById(AuthzSubject whoami,
                                        java.lang.Integer id)
                                 throws PermissionException

  Throws:
    `PermissionException`

### findSubjectById

    public AuthzSubject findSubjectById(java.lang.Integer id)

### getSubjectById

    public AuthzSubject getSubjectById(java.lang.Integer id)

### findSubjectByName

    public AuthzSubject findSubjectByName(AuthzSubject whoami,
                                          java.lang.String name)
                                   throws PermissionException

  Throws:
    `PermissionException`

### findSubjectByName

    public AuthzSubject findSubjectByName(java.lang.String name)

### findMatchingName

    public PageList findMatchingName(java.lang.String name,
                                     PageControl pc)

### getAllSubjects

    public PageList getAllSubjects(AuthzSubject whoami,
                                   java.util.Collection excludes,
                                   PageControl pc)
                            throws javax.ejb.FinderException,
                                   PermissionException

  List all subjects in the system

  Parameters:
    `excludes` - the IDs of subjects to exclude from result
  Throws:
    `javax.ejb.FinderException`
    `PermissionException`

### getSubjectsById

    public PageList getSubjectsById(AuthzSubject subject,
                                    java.lang.Integer[] ids,
                                    PageControl pc)
                             throws PermissionException

  Get the subjects with the specified ids NOTE: This method returns an empty PageList if a null or empty array of ids is received.

  Parameters:
    `ids` - the subject ids
  Throws:
    `PermissionException`

### getEmailById

    public java.lang.String getEmailById(java.lang.Integer id)

  Find the e-mail of the subject specified by id

  Parameters:
    `id` - id of the subject.
  Returns:
    The e-mail address of the subject

### getEmailByName

    public java.lang.String getEmailByName(java.lang.String userName)

  Find the e-mail of the subject specified by name

  Parameters:
    `userName` - Name of the subjects.
  Returns:
    The e-mail address of the subject

### getUserPrefs

    public ConfigResponse getUserPrefs(AuthzSubject who,
                                       java.lang.Integer subjId)
                                throws PermissionException

  Get the Preferences for a specified user

  Throws:
    `PermissionException`

### setUserPrefs

    public void setUserPrefs(AuthzSubject who,
                             java.lang.Integer subjId,
                             ConfigResponse prefs)
                      throws PermissionException

  Set the Preferences for a specified user

  Throws:
    `PermissionException`

### getOverlordPojo

    public AuthzSubject getOverlordPojo()

### getOne

    public static org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal getOne()

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException,
                            java.rmi.RemoteException

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException,
                             java.rmi.RemoteException

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException,
                          java.rmi.RemoteException

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.